# Generated from sassy-maps-0.4.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sassy-maps

Name: rubygem-%{gem_name}
Version: 0.4.0
Release: 1%{?dist}
Summary: Map helper functions for Sass 3.3 Maps
License: MIT
URL: https://github.com/Snugug/Sassy-Maps
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest)
# BuildRequires: rubygem(minitap)
# BuildRequires: rubygem(tapout)
# BuildRequires: rubygem(term-ansicolor)
# BuildRequires: rubygem(colorize)
BuildArch: noarch

%description
Map helper functions for Sass 3.3 Maps including get-deep and set/set-deep.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%{gem_instdir}/sass
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Wed Apr 20 2022 mockbuilder - 0.4.0-1
- Initial package
